This is a view of processor activity for the system as a whole, for Linux and FreeBSD based machines.
Note: for FreeBSD, the Linux compatibiliy proc filesystem must be available in /compat/linux/proc (see --proc option below).

In the main table, the first entry (index 0) is for a single processor or the combination of all processors, in which case the table contains further lines (starting at index 1), one per processor in the system.

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- --proc directory
  Data directory, also known as proc filesystem, /proc by default (for Linux machines support). For example, use /compat/linux/proc for FreeBSD machines.
  Note: the data contained in that directory must be in a format identical to the reference Linux implementation.
- -r (--remote) [[rsh|ssh]://][user@]host
  remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to cpustats(host).
  When there is a communication error with the remote host, only the first row (CPU 0) is left displayed, with all cells but the CPU number set to void (displayed as ?). A descriptive error message is also generated in such a case.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss cpustats
    $ moodss cpustats -r jdoe@foo.bar.com
    $ moodss cpustats -r ssh://jdoe@foo.bar.com
    $ moodss cpustats --remote foo.bar.com